Subject: Re: [JGIT PATCH] Test and fix handling of quotes in ~/.ssh/config

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 24 Sep 2008 16:31:04 -0700

Jonas Fonseca <[email-masked]> wrote:
> Shawn O. Pearce <[email-masked]> wrote Mon, Sep 22, 2008:
> > Robin Rosenberg <[email-masked]> wrote:
> > > söndagen den 21 september 2008 13.25.19 skrev Jonas Fonseca:
> > > > +		assertEquals("bad.tld\"", osc.lookup("bad").getHostName());
...
> > > This one is really (as you noted) bad so we shouldn't allow it at all.
> 
> Using exceptions seems a bit harsh, since the quote is not really fatal
> in anyway.
...
> I propose to simply remove these hosts from the host map and clear
> the current host list so that no values will be saved, effectively
> causing invalid hosts to result in the same as unknown hosts.

Yea, that seems quite reasonable.

If you want more debugging than that on your ~/.ssh/config file then
run OpenSSH tools on it.  Hell, I can't count the number of times
I've made typos in there and couldn't figure out why it was still
asking for a password, etc.  And that's just the OpenSSH command
line tools.

-- 
Shawn.